Goals
GET https://oohbe.com/api/goals/
curl --request GET \
--url 'https://oohbe.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | |
| type | 可选的 字符串 | 允许的值:pageview, custom |
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name, path, key。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | 开始日期 |
| datetime_end | 可选的 字符串 | 结束日期 |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:goal_id, last_datetime, datetime, name, path, key。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-05-17 03:15:17",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/goals?page=1",
"last": "https://oohbe.com/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/goals?page=1"
}
}
GET https://oohbe.com/api/goals/{goal_id}
curl --request GET \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-05-17 03:15:17",
"last_datetime": null
}
}
POST https://oohbe.com/api/goals
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 必需 整数 | - |
| type | 必需 字符串 | 允许的值:pageview, custom |
| name | 必需 字符串 | - |
| path | 可选的 字符串 | 可用时间:type = pageview |
| key | 可选的 字符串 | - |
curl --request POST \
--url 'https://oohbe.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-05-17 03:15:17' \
--url 'https://oohbe.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-05-17 03:15:17' \
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/goals/{goal_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | - |
| type | 可选的 字符串 | 允许的值:pageview, custom |
| name | 可选的 字符串 | - |
| path | 可选的 字符串 | 可用时间:type = pageview |
| key | 可选的 字符串 | - |
curl --request POST \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/goals/{goal_id}
curl --request DELETE \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \